Skip to main content
GET
/
coingecko
/
coins
/
{id}
/
contract
/
{address}
/
market_chart
Coin Historical Chart by Contract
curl --request GET \
  --url https://api.aisa.one/apis/v1/coingecko/coins/{id}/contract/{address}/market_chart \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Platform ID.

address
string
required

Contract address.

Query Parameters

vs_currency
string
default:usd
required

Target currency for price (e.g., usd, eur, btc). See /simple/supported_vs_currencies.

days
string
required

Data up to N days ago. Accepts 1, 7, 14, 30, 90, 180, 365, or max.

Response

200

Same shape as /coins/{id}/market_chart.